Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 145741

Summary: sys-devel/gcc-4.1.1 file collision with gcc-3.4.6-r1 because of files installed in non-SLOTed dirs
Product: Gentoo Linux Reporter: Daniel Herzog <expose>
Component: [OLD] GCC PortingAssignee: Please assign to toolchain <gcc-porting>
Status: RESOLVED DUPLICATE    
Severity: minor CC: Werner.Peter
Priority: High    
Version: 2006.0   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Daniel Herzog 2006-08-31 11:36:14 UTC
(I know of bug #135840 but looks like it's different from this one.)

All information should be in here:

>>> Completed installing gcc-4.1.1 into /var/tmp/portage/gcc-4.1.1/image/
man:
* checking 3302 files for package collisions
existing file /usr/lib/pkgconfig/libgcj.pc is not owned by this package
package sys-devel/gcc-4.1.1 NOT merged
No package files given... Grabbing a set.

 # equery belongs /usr/lib/pkgconfig/libgcj.pc
[ Searching for file(s) /usr/lib/pkgconfig/libgcj.pc in *... ]
sys-devel/gcc-3.4.6-r1 (/usr/lib/pkgconfig/libgcj.pc)

GCC-Version installed:
[I] sys-devel/gcc (3.4.6-r1)

This looks like a false positive of course, but i do not know if it really is.
Never switched gcj USE-flag - it is turned on since this box has been installed (two weeks ago, so i can really tell this for sure)
Comment 1 Paolo Pedroni 2006-09-01 01:58:05 UTC
(In reply to comment #0)

> >>> Completed installing gcc-4.1.1 into /var/tmp/portage/gcc-4.1.1/image/
> man:
> * checking 3302 files for package collisions
> existing file /usr/lib/pkgconfig/libgcj.pc is not owned by this package
> package sys-devel/gcc-4.1.1 NOT merged
> No package files given... Grabbing a set.
> 
>  # equery belongs /usr/lib/pkgconfig/libgcj.pc
> [ Searching for file(s) /usr/lib/pkgconfig/libgcj.pc in *... ]
> sys-devel/gcc-3.4.6-r1 (/usr/lib/pkgconfig/libgcj.pc)
> 
> GCC-Version installed:
> [I] sys-devel/gcc (3.4.6-r1)

Me, too. I'm going to overwrite it, 'cause I plan to unmerge gcc-3.4.6 anyway, but it could be useful for someone else who needs to have both versions.
Comment 2 P├ęter Werner 2006-09-01 14:00:27 UTC
Duplicate of bug 136382
Comment 3 SpanKY gentoo-dev 2006-09-01 18:04:51 UTC

*** This bug has been marked as a duplicate of 136382 ***